### org.jfree.layouting.namespace

# Class Namespaces

- `java.lang.Object`
- - `org.jfree.layouting.namespace.Namespaces`

`public final class Namespaces`
`extends java.lang.Object`

Known and supported namespaces.

Author:
  Thomas Morgner

  ## Field Summary

  `static String`

  `LIBLAYOUT_NAMESPACE`

  `static String`

  `XHTML_NAMESPACE`
    The XML-Namespace is used for the 'id' attribute.

  `static String`

  `XML_NAMESPACE`
    The XML-Namespace is used for the 'id' attribute.

  ## Method Summary

  `static NamespaceDefinition[]`

  `createFromConfig(Configuration config, String prefix, ResourceManager resourceManager)`

## Field Details

### LIBLAYOUT_NAMESPACE

    public static final String LIBLAYOUT_NAMESPACE

### XHTML_NAMESPACE

    public static final String XHTML_NAMESPACE

> The XML-Namespace is used for the 'id' attribute.

### XML_NAMESPACE

    public static final String XML_NAMESPACE

> The XML-Namespace is used for the 'id' attribute.

## Method Details

### createFromConfig

    public static NamespaceDefinition[] createFromConfig(Configuration config,
                                                         String prefix,
                                                         ResourceManager resourceManager)